ALE
Image Processing Software
Deblurring, Anti-aliasing, and Superresolution.
Local Operation

localhost
2684415918

[ Up ]

# ALE File Output

File output options determine the format in which rendered images are written, and how frequently they are written. Depending on the compilation options used, available file output options vary.

## Output Color Depth

Output color depth of 8 or 16 bits of precision per color channel can be specified, for 24-bit or 48-bit color, respectively.

    --8bpc            Write 8 bit per channel output [default]
    --16bpc           Write 16 bit per channel output

## Extension-based file type determination

If ALE has been built with ImageMagick support, then the output file type can be determined automatically by file extension. This is the default behavior for ImageMagick builds. The `--auto` flag explicitly specifies that the default behavior should be used; it generates an error on builds compiled without ImageMagick support.

    --auto            Determine file type automatically

## PPM Output

All builds of ALE support PPM output. PPM can be written in plain (ASCII) or raw (binary) format. If ALE has been built without ImageMagick support, or if the file type cannot be automatically determined by file extension, then raw PPM output is used by default.

    --raw             Write raw PPM output
    --plain           Write plain PPM output

## Incremental Output

By default, ALE writes intermediate results periodically throughout the rendering process. This behavior can be disabled, however, so that output is written only after rendering is complete.

    --inc             Produce incremental output.  [default]
    --no-inc          Don't produce incremental output.

Copyright 2003, 2004 David Hilvert

Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.